﻿//---------------------------------------------------------------------------
//
//   WTLStation
//
//          Copyright(C) 2006-2012, tetraface Inc.
//
//     This is a sample of a station plug-in.
//     It describes how to operate XML elements in .mqx file when a mqo 
//    files is saved or loaded, and to use drawing objects.
//     WTL (Windows Template Library) is required separately for a build.
//     This plugin is no longer recommended because WTL is used. Please use 
//    MQWidget instead of WTL.
//
//    　常駐プラグインのサンプルです。
//    　MQOファイル読み書き時のXMLファイル(.mqx)の操作、および描画オブ
//    ジェクトを常駐プラグインからどのように使うかを示しています。
//    　ビルドにはWTL(Windows Template Library)が別途必要です。
//    　このプラグインはWTLを使用しているためもう推奨されません。WTLで
//    はなくMQWidgetを使用してください。
//
//---------------------------------------------------------------------------

#if !defined(AFX_STDAFX_H__6B0C61C4_A483_4339_BF57_2D3A487D3FE7__INCLUDED_)
#define AFX_STDAFX_H__6B0C61C4_A483_4339_BF57_2D3A487D3FE7__INCLUDED_

// Change these values to use different versions
#define WINVER		0x0500
#define _WIN32_WINNT	0x0500
#define _WIN32_IE	0x0600
#define _RICHEDIT_VER	0x0100

// Note: The path must be through the directory contains WTL. Otherwise, a build will be an error.
// ※WTLのインクルードファイルにパスが通っていないとビルドエラーとなります。
#include <atlbase.h>
#include <atlapp.h>

extern CAppModule _Module;

#include <atlwin.h>

#include <atlframe.h>
#include <atlctrls.h>
#include <atldlgs.h>
#include <atlctrlw.h>

//{{AFX_INSERT_LOCATION}}

#endif // !defined(AFX_STDAFX_H__6B0C61C4_A483_4339_BF57_2D3A487D3FE7__INCLUDED_)
